Subject: RE: Porting getch() and kbdhit() ???
From: "Lincoln, W. Terry" <[email-masked]>
To: "'Philippe Noel'" <[email-masked]>
Cc: "'Cygwin Mailing List'" <[email-masked]>
Date: Tue, 17 Aug 1999 18:11:36 -0400

Those two functions are not POSIX now, are they?  Sounds DOS/WINDOZISH to me
;-)
Cygwin is for porting Unix(POSIX) apps to Win32.

Of course you can always write them yourself and submit your work to the
group.

Bye.

W. Terry Lincoln                   \      \   _   /
Senior Engineer                     \      \ |J| /
Ultimate Technology Corporation      \      _|E|_
a Tridex Company (NASDAQ:trdx)        \    |_ S _|
mailto:[email-masked]      \     |U|
http://terrylincoln.isonfire.com        \  / |S| \
http://www.AngelFire.com/ny/TerryLincoln \   | |  \
ICQ# 39362285                             \  | |  
=========================================== ~~~~~
Opinions expressed do not represent the management of UTC. 

> -----Original Message-----
> From: Philippe Noel [mailto:[email-masked]]
> Sent: Tuesday, August 17, 1999 4:21 PM
> To: Cygwin-List
> Subject: Porting getch() and kbdhit() ???
> 
> 
> Hi all,
> 
> I'm currently trying to port a source code that use getch() 
> and kbdhit()
> under Linux.
> It really do not seems to be supported by Cygwin.  Is there a 
> reason for
> this?
> 
> And, is there a way to do the same thing as this (very 
> common) code under
> Cygwin?
> 
> if( kbdhit() )
>    key = getch();
> 
> 
> 
> Thanks,
> 
> P H I L I P P E   N O E L
> Socomar International (1995) inc.
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]